﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 학생
    /// </summary>
    public class Student
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 학번 - ID

        /// <summary>
        /// 학번
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        public string Name { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList(count)

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <param name="count">카운트</param>
        /// <returns>리스트</returns>
        public static List<Student> GetList(int count)
        {
            List<Student> list = new List<Student>();

            for(int i = 1; i <= count; i++)
            {
                list.Add(new Student { ID = i, Name = "학생 " + i.ToString() });
            }

            return list;
        }

        #endregion    
    }
}